/*
 *  Copyright (C) 2016 Andrew Lord
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and limitations under the License.
 */

package com.github.andrewlord1990.materialandroid.color;

public class MaterialColor {

    public static final int RED_50  = 0xffffebee;
    public static final int RED_100 = 0xffffcdd2;
    public static final int RED_200 = 0xffef9a9a;
    public static final int RED_300 = 0xffe57373;
    public static final int RED_400 = 0xffef5350;
    public static final int RED_500 = 0xfff44336;
    public static final int RED_600 = 0xffe53935;
    public static final int RED_700 = 0xffd32f2f;
    public static final int RED_800 = 0xffc62828;
    public static final int RED_900 = 0xffb71c1c;

    public static final int RED_A100 = 0xffff8a80;
    public static final int RED_A200 = 0xffff5252;
    public static final int RED_A400 = 0xffff1744;
    public static final int RED_A700 = 0xffd50000;


    public static final int PINK_50  = 0xfffce4ec;
    public static final int PINK_100 = 0xfff8bbd0;
    public static final int PINK_200 = 0xfff48fb1;
    public static final int PINK_300 = 0xfff06292;
    public static final int PINK_400 = 0xffec407a;
    public static final int PINK_500 = 0xffe91e63;
    public static final int PINK_600 = 0xffd81b60;
    public static final int PINK_700 = 0xffc2185b;
    public static final int PINK_800 = 0xffad1457;
    public static final int PINK_900 = 0xff880e4f;

    public static final int PINK_A100 = 0xffff80ab;
    public static final int PINK_A200 = 0xffff4081;
    public static final int PINK_A400 = 0xfff50057;
    public static final int PINK_A700 = 0xffc51162;


    public static final int PURPLE_50  = 0xfff3e5f5;
    public static final int PURPLE_100 = 0xffe1bee7;
    public static final int PURPLE_200 = 0xffce93d8;
    public static final int PURPLE_300 = 0xffba68c8;
    public static final int PURPLE_400 = 0xffab47bc;
    public static final int PURPLE_500 = 0xff9c27b0;
    public static final int PURPLE_600 = 0xff8e24aa;
    public static final int PURPLE_700 = 0xff7b1fa2;
    public static final int PURPLE_800 = 0xff6a1b9a;
    public static final int PURPLE_900 = 0xff4a148c;

    public static final int PURPLE_A100 = 0xffea80fc;
    public static final int PURPLE_A200 = 0xffe040fb;
    public static final int PURPLE_A400 = 0xffd500f9;
    public static final int PURPLE_A700 = 0xffaa00ff;


    public static final int DEEP_PURPLE_50  = 0xffede7f6;
    public static final int DEEP_PURPLE_100 = 0xffd1c4e9;
    public static final int DEEP_PURPLE_200 = 0xffb39ddb;
    public static final int DEEP_PURPLE_300 = 0xff9575cd;
    public static final int DEEP_PURPLE_400 = 0xff7e57c2;
    public static final int DEEP_PURPLE_500 = 0xff673ab7;
    public static final int DEEP_PURPLE_600 = 0xff5e35b1;
    public static final int DEEP_PURPLE_700 = 0xff512da8;
    public static final int DEEP_PURPLE_800 = 0xff4527a0;
    public static final int DEEP_PURPLE_900 = 0xff311b92;

    public static final int DEEP_PURPLE_A100 = 0xffb388ff;
    public static final int DEEP_PURPLE_A200 = 0xff7c4dff;
    public static final int DEEP_PURPLE_A400 = 0xff651fff;
    public static final int DEEP_PURPLE_A700 = 0xff6200ea;


    public static final int INDIGO_50  = 0xffe8eaf6;
    public static final int INDIGO_100 = 0xffc5cae9;
    public static final int INDIGO_200 = 0xff9fa8da;
    public static final int INDIGO_300 = 0xff7986cb;
    public static final int INDIGO_400 = 0xff5c6bc0;
    public static final int INDIGO_500 = 0xff3f51b5;
    public static final int INDIGO_600 = 0xff3949ab;
    public static final int INDIGO_700 = 0xff303f9f;
    public static final int INDIGO_800 = 0xff283593;
    public static final int INDIGO_900 = 0xff1a237e;

    public static final int INDIGO_A100 = 0xff8c9eff;
    public static final int INDIGO_A200 = 0xff536dfe;
    public static final int INDIGO_A400 = 0xff3d5afe;
    public static final int INDIGO_A700 = 0xff304ffe;


    public static final int BLUE_50  = 0xffe3f2fd;
    public static final int BLUE_100 = 0xffbbdefb;
    public static final int BLUE_200 = 0xff90caf9;
    public static final int BLUE_300 = 0xff64b5f6;
    public static final int BLUE_400 = 0xff42a5f5;
    public static final int BLUE_500 = 0xff2196f3;
    public static final int BLUE_600 = 0xff1e88e5;
    public static final int BLUE_700 = 0xff1976d2;
    public static final int BLUE_800 = 0xff1565c0;
    public static final int BLUE_900 = 0xff0d47a1;

    public static final int BLUE_A100 = 0xff82b1ff;
    public static final int BLUE_A200 = 0xff448aff;
    public static final int BLUE_A400 = 0xff2979ff;
    public static final int BLUE_A700 = 0xff2962ff;


    public static final int LIGHT_BLUE_50  = 0xffe1f5fe;
    public static final int LIGHT_BLUE_100 = 0xffb3e5fc;
    public static final int LIGHT_BLUE_200 = 0xff81d4fa;
    public static final int LIGHT_BLUE_300 = 0xff4fc3f7;
    public static final int LIGHT_BLUE_400 = 0xff29b6f6;
    public static final int LIGHT_BLUE_500 = 0xff03a9f4;
    public static final int LIGHT_BLUE_600 = 0xff039be5;
    public static final int LIGHT_BLUE_700 = 0xff0288d1;
    public static final int LIGHT_BLUE_800 = 0xff0277bd;
    public static final int LIGHT_BLUE_900 = 0xff01579b;

    public static final int LIGHT_BLUE_A100 = 0xff80d8ff;
    public static final int LIGHT_BLUE_A200 = 0xff40c4ff;
    public static final int LIGHT_BLUE_A400 = 0xff00b0ff;
    public static final int LIGHT_BLUE_A700 = 0xff0091ea;


    public static final int CYAN_50  = 0xffe0f7fa;
    public static final int CYAN_100 = 0xffb2ebf2;
    public static final int CYAN_200 = 0xff80deea;
    public static final int CYAN_300 = 0xff4dd0e1;
    public static final int CYAN_400 = 0xff26c6da;
    public static final int CYAN_500 = 0xff00bcd4;
    public static final int CYAN_600 = 0xff00acc1;
    public static final int CYAN_700 = 0xff0097a7;
    public static final int CYAN_800 = 0xff00838f;
    public static final int CYAN_900 = 0xff006064;

    public static final int CYAN_A100 = 0xff84ffff;
    public static final int CYAN_A200 = 0xff18ffff;
    public static final int CYAN_A400 = 0xff00e5ff;
    public static final int CYAN_A700 = 0xff00b8d4;


    public static final int TEAL_50  = 0xffe0f2f1;
    public static final int TEAL_100 = 0xffb2dfdb;
    public static final int TEAL_200 = 0xff80cbc4;
    public static final int TEAL_300 = 0xff4db6ac;
    public static final int TEAL_400 = 0xff26a69a;
    public static final int TEAL_500 = 0xff009688;
    public static final int TEAL_600 = 0xff00897b;
    public static final int TEAL_700 = 0xff00796b;
    public static final int TEAL_800 = 0xff00695c;
    public static final int TEAL_900 = 0xff004d40;

    public static final int TEAL_A100 = 0xffa7ffeb;
    public static final int TEAL_A200 = 0xff64ffda;
    public static final int TEAL_A400 = 0xff1de9b6;
    public static final int TEAL_A700 = 0xff00bfa5;


    public static final int GREEN_50  = 0xffe8f5e9;
    public static final int GREEN_100 = 0xffc8e6c9;
    public static final int GREEN_200 = 0xffa5d6a7;
    public static final int GREEN_300 = 0xff81c784;
    public static final int GREEN_400 = 0xff66bb6a;
    public static final int GREEN_500 = 0xff4caf50;
    public static final int GREEN_600 = 0xff43a047;
    public static final int GREEN_700 = 0xff388e3c;
    public static final int GREEN_800 = 0xff2e7d32;
    public static final int GREEN_900 = 0xff1b5e20;

    public static final int GREEN_A100 = 0xffb9f6ca;
    public static final int GREEN_A200 = 0xff69f0ae;
    public static final int GREEN_A400 = 0xff00e676;
    public static final int GREEN_A700 = 0xff00c853;


    public static final int LIGHT_GREEN_50  = 0xfff1f8e9;
    public static final int LIGHT_GREEN_100 = 0xffdcedc8;
    public static final int LIGHT_GREEN_200 = 0xffc5e1a5;
    public static final int LIGHT_GREEN_300 = 0xffaed581;
    public static final int LIGHT_GREEN_400 = 0xff9ccc65;
    public static final int LIGHT_GREEN_500 = 0xff8bc34a;
    public static final int LIGHT_GREEN_600 = 0xff7cb342;
    public static final int LIGHT_GREEN_700 = 0xff689f38;
    public static final int LIGHT_GREEN_800 = 0xff558b2f;
    public static final int LIGHT_GREEN_900 = 0xff33691e;

    public static final int LIGHT_GREEN_A100 = 0xffccff90;
    public static final int LIGHT_GREEN_A200 = 0xffb2ff59;
    public static final int LIGHT_GREEN_A400 = 0xff76ff03;
    public static final int LIGHT_GREEN_A700 = 0xff64dd17;


    public static final int LIME_50  = 0xfff9fbe7;
    public static final int LIME_100 = 0xfff0f4c3;
    public static final int LIME_200 = 0xffe6ee9c;
    public static final int LIME_300 = 0xffdce775;
    public static final int LIME_400 = 0xffd4e157;
    public static final int LIME_500 = 0xffcddc39;
    public static final int LIME_600 = 0xffc0ca33;
    public static final int LIME_700 = 0xffafb42b;
    public static final int LIME_800 = 0xff9e9d24;
    public static final int LIME_900 = 0xff827717;

    public static final int LIME_A100 = 0xfff4ff81;
    public static final int LIME_A200 = 0xffeeff41;
    public static final int LIME_A400 = 0xffc6ff00;
    public static final int LIME_A700 = 0xffaeea00;


    public static final int YELLOW_50  = 0xfffffde7;
    public static final int YELLOW_100 = 0xfffff9c4;
    public static final int YELLOW_200 = 0xfffff59d;
    public static final int YELLOW_300 = 0xfffff176;
    public static final int YELLOW_400 = 0xffffee58;
    public static final int YELLOW_500 = 0xffffeb3b;
    public static final int YELLOW_600 = 0xfffdd835;
    public static final int YELLOW_700 = 0xfffbc02d;
    public static final int YELLOW_800 = 0xfff9a825;
    public static final int YELLOW_900 = 0xfff57f17;

    public static final int YELLOW_A100 = 0xffffff8d;
    public static final int YELLOW_A200 = 0xffffff00;
    public static final int YELLOW_A400 = 0xffffea00;
    public static final int YELLOW_A700 = 0xffffd600;


    public static final int AMBER_50  = 0xfffff8e1;
    public static final int AMBER_100 = 0xffffecb3;
    public static final int AMBER_200 = 0xffffe082;
    public static final int AMBER_300 = 0xffffd54f;
    public static final int AMBER_400 = 0xffffca28;
    public static final int AMBER_500 = 0xffffc107;
    public static final int AMBER_600 = 0xffffb300;
    public static final int AMBER_700 = 0xffffa000;
    public static final int AMBER_800 = 0xffff8f00;
    public static final int AMBER_900 = 0xffff6f00;

    public static final int AMBER_A100 = 0xffffe57f;
    public static final int AMBER_A200 = 0xffffd740;
    public static final int AMBER_A400 = 0xffffc400;
    public static final int AMBER_A700 = 0xffffab00;


    public static final int ORANGE_50  = 0xfffff3e0;
    public static final int ORANGE_100 = 0xffffe0b2;
    public static final int ORANGE_200 = 0xffffcc80;
    public static final int ORANGE_300 = 0xffffb74d;
    public static final int ORANGE_400 = 0xffffa726;
    public static final int ORANGE_500 = 0xffff9800;
    public static final int ORANGE_600 = 0xfffb8c00;
    public static final int ORANGE_700 = 0xfff57c00;
    public static final int ORANGE_800 = 0xffef6c00;
    public static final int ORANGE_900 = 0xffe65100;

    public static final int ORANGE_A100 = 0xffffd180;
    public static final int ORANGE_A200 = 0xffffab40;
    public static final int ORANGE_A400 = 0xffff9100;
    public static final int ORANGE_A700 = 0xffff6d00;


    public static final int DEEP_ORANGE_50  = 0xfffbe9e7;
    public static final int DEEP_ORANGE_100 = 0xffffccbc;
    public static final int DEEP_ORANGE_200 = 0xffffab91;
    public static final int DEEP_ORANGE_300 = 0xffff8a65;
    public static final int DEEP_ORANGE_400 = 0xffff7043;
    public static final int DEEP_ORANGE_500 = 0xffff5722;
    public static final int DEEP_ORANGE_600 = 0xfff4511e;
    public static final int DEEP_ORANGE_700 = 0xffe64a19;
    public static final int DEEP_ORANGE_800 = 0xffd84315;
    public static final int DEEP_ORANGE_900 = 0xffbf360c;

    public static final int DEEP_ORANGE_A100 = 0xffff9e80;
    public static final int DEEP_ORANGE_A200 = 0xffff6e40;
    public static final int DEEP_ORANGE_A400 = 0xffff3d00;
    public static final int DEEP_ORANGE_A700 = 0xffdd2c00;


    public static final int BROWN_50  = 0xffefebe9;
    public static final int BROWN_100 = 0xffd7ccc8;
    public static final int BROWN_200 = 0xffbcaaa4;
    public static final int BROWN_300 = 0xffa1887f;
    public static final int BROWN_400 = 0xff8d6e63;
    public static final int BROWN_500 = 0xff795548;
    public static final int BROWN_600 = 0xff6d4c41;
    public static final int BROWN_700 = 0xff5d4037;
    public static final int BROWN_800 = 0xff4e342e;
    public static final int BROWN_900 = 0xff3e2723;


    public static final int GRAY_50  = 0xfffafafa;
    public static final int GRAY_100 = 0xfff5f5f5;
    public static final int GRAY_200 = 0xffeeeeee;
    public static final int GRAY_300 = 0xffe0e0e0;
    public static final int GRAY_400 = 0xffbdbdbd;
    public static final int GRAY_500 = 0xff9e9e9e;
    public static final int GRAY_600 = 0xff757575;
    public static final int GRAY_700 = 0xff616161;
    public static final int GRAY_800 = 0xff424242;
    public static final int GRAY_900 = 0xff212121;


    public static final int BLUE_GRAY_50  = 0xffeceff1;
    public static final int BLUE_GRAY_100 = 0xffcfd8dc;
    public static final int BLUE_GRAY_200 = 0xffb0bec5;
    public static final int BLUE_GRAY_300 = 0xff90a4ae;
    public static final int BLUE_GRAY_400 = 0xff78909c;
    public static final int BLUE_GRAY_500 = 0xff607d8b;
    public static final int BLUE_GRAY_600 = 0xff546e7a;
    public static final int BLUE_GRAY_700 = 0xff455a64;
    public static final int BLUE_GRAY_800 = 0xff37474f;
    public static final int BLUE_GRAY_900 = 0xff263238;


    public static final int BLACK = 0xff000000;


    public static final int WHITE = 0xffffffff;

}
